# Uses of Class
java.io.PipedInputStream

Packages that use PipedInputStream
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.

- ## Uses of PipedInputStream in java.io

  Methods in java.io with parameters of type PipedInputStream
  Modifier and Type
  Method
  Description
  `void`
  PipedOutputStream.`connect(PipedInputStream snk)`
  Connects this piped output stream to a receiver.
  Constructors in java.io with parameters of type PipedInputStream
  Modifier
  Constructor
  Description
  ``
  `PipedOutputStream(PipedInputStream snk)`
  Creates a piped output stream connected to the specified piped input stream.